Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml
[Groovy] Class Entity

    java.lang.Object
      groovy.xml.Entity

All Implemented Interfaces:
  Buildable

    class Entity

Field Summary
`static Entity` | `AElig`
`static Entity` | `Aacute`
`static Entity` | `Acirc`
`static Entity` | `Agrave`
`static Entity` | `Aring`
`static Entity` | `Atilde`
`static Entity` | `Auml`
`static Entity` | `Ccedil`
`static Entity` | `Dagger`
`static Entity` | `ETH`
`static Entity` | `Eacute`
`static Entity` | `Ecirc`
`static Entity` | `Egrave`
`static Entity` | `Euml`
`static Entity` | `Iacute`
`static Entity` | `Icirc`
`static Entity` | `Igrave`
`static Entity` | `Iuml`
`static Entity` | `Ntilde`
`static Entity` | `OElig`
`static Entity` | `Oacute`
`static Entity` | `Ocirc`
`static Entity` | `Ograve`
`static Entity` | `Oslash`
`static Entity` | `Otilde`
`static Entity` | `Ouml`
`static Entity` | `Scaron`
`static Entity` | `THORN`
`static Entity` | `Uacute`
`static Entity` | `Ucirc`
`static Entity` | `Ugrave`
`static Entity` | `Uuml`
`static Entity` | `Yacute`
`static Entity` | `Yuml`
`static Entity` | `aacute`
`static Entity` | `acirc`
`static Entity` | `acute`
`static Entity` | `aelig`
`static Entity` | `agrave`
`static Entity` | `amp`
`static Entity` | `apos`
`static Entity` | `aring`
`static Entity` | `atilde`
`static Entity` | `auml`
`static Entity` | `bdquo`
`static Entity` | `brvbar`
`static Entity` | `ccedil`
`static Entity` | `cedil`
`static Entity` | `cent`
`static Entity` | `circ`
`static Entity` | `copy`
`static Entity` | `curren`
`static Entity` | `dagger`
`static Entity` | `deg`
`static Entity` | `divide`
`static Entity` | `eacute`
`static Entity` | `ecirc`
`static Entity` | `egrave`
`static Entity` | `emsp`
`static Entity` | `ensp`
`static Entity` | `eth`
`static Entity` | `euml`
`static Entity` | `euro`
`static Entity` | `frac12`
`static Entity` | `frac14`
`static Entity` | `frac34`
`static Entity` | `gt`
`static Entity` | `iacute`
`static Entity` | `icirc`
`static Entity` | `iexcl`
`static Entity` | `igrave`
`static Entity` | `iquest`
`static Entity` | `iuml`
`static Entity` | `laquo`
`static Entity` | `ldquo`
`static Entity` | `lrm`
`static Entity` | `lsaquo`
`static Entity` | `lsquo`
`static Entity` | `lt`
`static Entity` | `macr`
`static Entity` | `mdash`
`static Entity` | `micro`
`static Entity` | `middot`
`static Entity` | `nbsp`
`static Entity` | `ndash`
`static Entity` | `not`
`static Entity` | `ntilde`
`static Entity` | `oacute`
`static Entity` | `ocirc`
`static Entity` | `oelig`
`static Entity` | `ograve`
`static Entity` | `ordf`
`static Entity` | `ordm`
`static Entity` | `oslash`
`static Entity` | `otilde`
`static Entity` | `ouml`
`static Entity` | `para`
`static Entity` | `permil`
`static Entity` | `plusmn`
`static Entity` | `pound`
`static Entity` | `quot`
`static Entity` | `raquo`
`static Entity` | `rdquo`
`static Entity` | `reg`
`static Entity` | `rlm`
`static Entity` | `rsaquo`
`static Entity` | `rsquo`
`static Entity` | `sbquo`
`static Entity` | `scaron`
`static Entity` | `sect`
`static Entity` | `shy`
`static Entity` | `sup1`
`static Entity` | `sup2`
`static Entity` | `sup3`
`static Entity` | `szlig`
`static Entity` | `thinsp`
`static Entity` | `thorn`
`static Entity` | `tilde`
`static Entity` | `times`
`static Entity` | `uacute`
`static Entity` | `ucirc`
`static Entity` | `ugrave`
`static Entity` | `uml`
`static Entity` | `uuml`
`static Entity` | `yacute`
`static Entity` | `yen`
`static Entity` | `yuml`
`static Entity` | `zwj`
`static Entity` | `zwnj`

Constructor Summary
`Entity(java.lang.String name)`
`Entity(int name)`

Method Summary
`void` | `build(GroovyObject builder)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### AElig

    public static final Entity AElig

### Aacute

    public static final Entity Aacute

### Acirc

    public static final Entity Acirc

### Agrave

    public static final Entity Agrave

### Aring

    public static final Entity Aring

### Atilde

    public static final Entity Atilde

### Auml

    public static final Entity Auml

### Ccedil

    public static final Entity Ccedil

### Dagger

    public static final Entity Dagger

### ETH

    public static final Entity ETH

### Eacute

    public static final Entity Eacute

### Ecirc

    public static final Entity Ecirc

### Egrave

    public static final Entity Egrave

### Euml

    public static final Entity Euml

### Iacute

    public static final Entity Iacute

### Icirc

    public static final Entity Icirc

### Igrave

    public static final Entity Igrave

### Iuml

    public static final Entity Iuml

### Ntilde

    public static final Entity Ntilde

### OElig

    public static final Entity OElig

### Oacute

    public static final Entity Oacute

### Ocirc

    public static final Entity Ocirc

### Ograve

    public static final Entity Ograve

### Oslash

    public static final Entity Oslash

### Otilde

    public static final Entity Otilde

### Ouml

    public static final Entity Ouml

### Scaron

    public static final Entity Scaron

### THORN

    public static final Entity THORN

### Uacute

    public static final Entity Uacute

### Ucirc

    public static final Entity Ucirc

### Ugrave

    public static final Entity Ugrave

### Uuml

    public static final Entity Uuml

### Yacute

    public static final Entity Yacute

### Yuml

    public static final Entity Yuml

### aacute

    public static final Entity aacute

### acirc

    public static final Entity acirc

### acute

    public static final Entity acute

### aelig

    public static final Entity aelig

### agrave

    public static final Entity agrave

### amp

    public static final Entity amp

### apos

    public static final Entity apos

### aring

    public static final Entity aring

### atilde

    public static final Entity atilde

### auml

    public static final Entity auml

### bdquo

    public static final Entity bdquo

### brvbar

    public static final Entity brvbar

### ccedil

    public static final Entity ccedil

### cedil

    public static final Entity cedil

### cent

    public static final Entity cent

### circ

    public static final Entity circ

### copy

    public static final Entity copy

### curren

    public static final Entity curren

### dagger

    public static final Entity dagger

### deg

    public static final Entity deg

### divide

    public static final Entity divide

### eacute

    public static final Entity eacute

### ecirc

    public static final Entity ecirc

### egrave

    public static final Entity egrave

### emsp

    public static final Entity emsp

### ensp

    public static final Entity ensp

### eth

    public static final Entity eth

### euml

    public static final Entity euml

### euro

    public static final Entity euro

### frac12

    public static final Entity frac12

### frac14

    public static final Entity frac14

### frac34

    public static final Entity frac34

### gt

    public static final Entity gt

### iacute

    public static final Entity iacute

### icirc

    public static final Entity icirc

### iexcl

    public static final Entity iexcl

### igrave

    public static final Entity igrave

### iquest

    public static final Entity iquest

### iuml

    public static final Entity iuml

### laquo

    public static final Entity laquo

### ldquo

    public static final Entity ldquo

### lrm

    public static final Entity lrm

### lsaquo

    public static final Entity lsaquo

### lsquo

    public static final Entity lsquo

### lt

    public static final Entity lt

### macr

    public static final Entity macr

### mdash

    public static final Entity mdash

### micro

    public static final Entity micro

### middot

    public static final Entity middot

### nbsp

    public static final Entity nbsp

### ndash

    public static final Entity ndash

### not

    public static final Entity not

### ntilde

    public static final Entity ntilde

### oacute

    public static final Entity oacute

### ocirc

    public static final Entity ocirc

### oelig

    public static final Entity oelig

### ograve

    public static final Entity ograve

### ordf

    public static final Entity ordf

### ordm

    public static final Entity ordm

### oslash

    public static final Entity oslash

### otilde

    public static final Entity otilde

### ouml

    public static final Entity ouml

### para

    public static final Entity para

### permil

    public static final Entity permil

### plusmn

    public static final Entity plusmn

### pound

    public static final Entity pound

### quot

    public static final Entity quot

### raquo

    public static final Entity raquo

### rdquo

    public static final Entity rdquo

### reg

    public static final Entity reg

### rlm

    public static final Entity rlm

### rsaquo

    public static final Entity rsaquo

### rsquo

    public static final Entity rsquo

### sbquo

    public static final Entity sbquo

### scaron

    public static final Entity scaron

### sect

    public static final Entity sect

### shy

    public static final Entity shy

### sup1

    public static final Entity sup1

### sup2

    public static final Entity sup2

### sup3

    public static final Entity sup3

### szlig

    public static final Entity szlig

### thinsp

    public static final Entity thinsp

### thorn

    public static final Entity thorn

### tilde

    public static final Entity tilde

### times

    public static final Entity times

### uacute

    public static final Entity uacute

### ucirc

    public static final Entity ucirc

### ugrave

    public static final Entity ugrave

### uml

    public static final Entity uml

### uuml

    public static final Entity uuml

### yacute

    public static final Entity yacute

### yen

    public static final Entity yen

### yuml

    public static final Entity yuml

### zwj

    public static final Entity zwj

### zwnj

    public static final Entity zwnj

Constructor Detail

### Entity

    Entity(java.lang.String name)

### Entity

    Entity(int name)

Method Detail

### build

    void build(GroovyObject builder)

Groovy Documentation